Skip to main content
GET
Classify NAICS codes
10 credits See the guide for examples and usage.

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <API_KEY>. Keys have full access unless restricted to scopes.

Query Parameters

input
string
required

Brand domain or title to retrieve NAICS code for. If a valid domain is provided, it will be used for classification, otherwise, we will search for the brand using the provided title.

Minimum string length: 4
minResults
integer
default:1

Minimum number of NAICS codes to return. Must be at least 1. Defaults to 1.

Required range: 1 <= x <= 10
maxResults
integer
default:5

Maximum number of NAICS codes to return. Must be between 1 and 10. Defaults to 5.

Required range: 1 <= x <= 10
timeoutOpts
object

Request deadline and what to return when it passes.

zdr
enum<string>
default:disabled

enabled turns on zero data retention. Returns 403 ZDR_NOT_ENABLED unless your organization has ZDR.

Available options:
enabled,
disabled
tags
string[]

Comma-separated labels for filtering usage, e.g. production,team-alpha. Labels for filtering usage in the dashboard.

Maximum array length: 20
Required string length: 1 - 50
Example:

Response

Successful response

request_id
string<uuid>
required

Unique ID of this request, also in X-Request-Id. Include it when contacting support.

Example:

"3f1c2a6e-8b4d-4c1e-9f0a-2d7b5e6c8a91"

partial
boolean

True when the timeout ended processing and this response contains only usable results completed so far. Unfinished results are omitted.

status
string

Always ok on success.

domain
string

Domain found for the brand

type
string

Industry classification type, for naics api it will be naics

codes
object[]

Array of NAICS codes and titles.

key_metadata
object

Credits this request used and your remaining balance.